
Foreman - Bug #925

Parse error on "global parameters' page

05/22/2011 03:26 AM - Jeff Palmer

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I attempted to add a few variables that start and end with a single tick.

Upon saving it,  that leading and trailing ticks were removed.  The ticks in the middle remain.

Example:

I added a Value: of  '[a1],[a2],{a3},(a4)','[a1],[a2],{a3},(a4)'

After saving it,  the value is: [a1],[a2],{a3},(a4)','[a1],[a2],{a3},(a4)

Also,  the 'Add a parameter" page for a host has the same problem.

History

#1 - 07/22/2011 11:13 AM - Paul Kelly

- Status changed from New to Assigned

This appears to be related to http://thewebfellas.com/blog/2010/7/15/rails-2-3-8-rack-1-1-and-the-curious-case-of-the-missing-quotes. If so then we

need to update rack but that is quite scary so what do you think Ohad?

#2 - 11/15/2012 05:03 AM - Benjamin Papillon

- Status changed from Assigned to Closed

- Target version set to Bug scrub

I tried, Foreman works fine now with a more recent version of rack (1.1.0 here) and this bug is fixed in that version.
